#
# spec file for package jakarta-commons-vfs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name commons-vfs
Name:           jakarta-commons-vfs
Version:        1.0
Release:        lp150.1.11
Summary:        Commons Virtual Filesystem
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://jakarta.apache.org/commons/vfs/
# svn export http://svn.apache.org/repos/asf/jakarta/commons/proper/vfs/tags/vfs-1.0/
Source0:        commons-vfs-1.0-src.tar.bz2
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        commons-vfs-1.0-jpp-depmap.xml
Source5:        commons-build.tar.bz2
Source6:        build.xml
Source7:        maven-build.xml
Source8:        core-build.xml
Source9:        core-maven-build.xml
Source10:       examples-build.xml
Source11:       examples-maven-build.xml
Source12:       sandbox-build.xml
Source13:       sandbox-maven-build.xml
Patch0:         commons-vfs-1.0-project_properties.patch
Patch1:         commons-vfs-1.0-jakarta-commons-httpclient-3.1.patch
BuildRequires:  ant >= 1.6
BuildRequires:  ant-junit
BuildRequires:  fdupes
BuildRequires:  jaf_1_1_api
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-compress
BuildRequires:  jakarta-commons-httpclient3
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-net
BuildRequires:  jakarta-slide-webdavclient
BuildRequires:  javamail_1_4_api
BuildRequires:  javapackages-local
BuildRequires:  javapackages-tools
BuildRequires:  jcifs
BuildRequires:  jdom
BuildRequires:  jsch
BuildRequires:  junit
BuildRequires:  oro
BuildRequires:  xml-commons-apis
Requires:       jaf_1_1_api
Requires:       jakarta-commons-codec
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-compress
Requires:       jakarta-commons-httpclient3
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-net
Requires:       jakarta-slide-webdavclient
Requires:       javamail_1_4_api
Requires:       jcifs
Requires:       jdom
Requires:       jsch
Requires:       oro
Requires:       xml-commons-apis
BuildArch:      noarch

%description
Commons VFS provides a single API for accessing various different
   file systems. It presents a uniform view of the files from
   various different sources, such as the files on local disk, on an
   HTTP server, or inside a Zip archive. Some of the features of
   Commons VFS are: * A single consistent API for accessing files of
   different types.

%package javadoc
Summary:        Commons Virtual Filesystem
Group:          Development/Libraries/Java

%description javadoc
Commons VFS provides a single API for accessing various different
   file systems. It presents a uniform view of the files from
   various different sources, such as the files on local disk, on an
   HTTP server, or inside a Zip archive. Some of the features of
   Commons VFS are: * A single consistent API for accessing files of
   different types.

%package manual
Summary:        Commons Virtual Filesystem
Group:          Development/Libraries/Java

%description manual
Commons VFS provides a single API for accessing various different
   file systems. It presents a uniform view of the files from
   various different sources, such as the files on local disk, on an
   HTTP server, or inside a Zip archive. Some of the features of
   Commons VFS are: * A single consistent API for accessing files of
   different types.

%prep
%setup -q -n vfs-%{version}
%setup -q -T -D -a 5 -n vfs-%{version}
%patch0
%patch1 -p1
find . -name "*.jar" | xargs -t rm
cp -p %{SOURCE6} %{SOURCE7} .
cp -p %{SOURCE8} core/build.xml
cp -p %{SOURCE9} core/maven-build.xml
cp -p %{SOURCE10} examples/build.xml
cp -p %{SOURCE11} examples/maven-build.xml
cp -p %{SOURCE12} sandbox/build.xml
cp -p %{SOURCE13} sandbox/maven-build.xml

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
export CLASSPATH=$(build-classpath commons-collections commons-httpclient3 commons-logging commons-net jaf_1_1_api javamail_1_4_api jcifs jdom jsch junit slide/jakarta-slide-webdavlib):`pwd`/target/commons-vfs-%{version}.jar:`pwd`/target/test-classes
export OPT_JAR_LIST="junit ant/ant-junit"
ant \
    -Dmaven.build.dir=`pwd`/target \
    -Dmaven.build.outputDir=`pwd`/target \
    -Dmaven.mode.offline=true \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.repo.remote=file:%{_datadir}/maven/repository \
    -Dmaven.javadoc.source=1.4 \
    -Dmaven.home.local=$(pwd)/.maven \
    -Dmaven.test.skip=true \
    -Dmaven.test.error.ignore=true \
    package javadoc

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{base_name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
(cd %{buildroot}%{_javadir} && for jar in jakarta-*; do \
ln -sf ${jar} ${jar/jakarta-/}; done)

#pom
mkdir -p %{buildroot}%{_mavenpomdir}
install -m 0644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%fdupes -s %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/apidocs
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}

%files
%doc *.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_datadir}/maven-metadata/%{name}.xml*

%files manual
%{_docdir}/%{name}-%{version}

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon Sep 18 2017 fstrba@suse.com
- Fix build with jdk9: specify java source and target version 1.6
* Fri May 19 2017 tchvatal@suse.com
- Fix build with new javapackages-tools
- Cleanup unused conditionals
* Wed Mar 18 2015 tchvatal@suse.com
- Fix build with new javapackages-tools
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Fri Sep  6 2013 mvyskocil@suse.com
- use add_maven_depmap
* Fri May 15 2009 mvyskocil@suse.cz
- 'Initial SUSE packaging of jakarta-commons-vfs'
